gi-gio-2.0.32: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Structs.InputVector

Contents

- Exported types
- Methods
- Properties
  - buffer
  - size

Description

Structure used for scatter/gather data input. You generally pass in an array of `GInputVectors` and the operation will store the read data starting in the first buffer, switching to the next as needed.

Since: 2.22

Synopsis

- newtype InputVector = InputVector (ManagedPtr InputVector)
- newZeroInputVector :: MonadIO m => m InputVector
- clearInputVectorBuffer :: MonadIO m => InputVector -> m ()
- getInputVectorBuffer :: MonadIO m => InputVector -> m (Ptr ())
- setInputVectorBuffer :: MonadIO m => InputVector -> Ptr () -> m ()
- getInputVectorSize :: MonadIO m => InputVector -> m Word64
- setInputVectorSize :: MonadIO m => InputVector -> Word64 -> m ()

# Exported types

newtype InputVector Source #

Memory-managed wrapper type.

Constructors

InputVector (ManagedPtr InputVector) |

#### Instances

Instances details

Eq InputVector Source # |
Instance details Defined in GI.Gio.Structs.InputVector Methods (==) :: InputVector -> InputVector -> Bool Source # (/=) :: InputVector -> InputVector -> Bool Source #
BoxedPtr InputVector Source # |
Instance details Defined in GI.Gio.Structs.InputVector Methods boxedPtrCopy :: InputVector -> IO InputVector Source # boxedPtrFree :: InputVector -> IO () Source #
CallocPtr InputVector Source # |
Instance details Defined in GI.Gio.Structs.InputVector Methods boxedPtrCalloc :: IO (Ptr InputVector) Source #
ManagedPtrNewtype InputVector Source # |
Instance details Defined in GI.Gio.Structs.InputVector Methods toManagedPtr :: InputVector -> ManagedPtr InputVector Source #
tag ~ 'AttrSet => Constructible InputVector tag Source # |
Instance details Defined in GI.Gio.Structs.InputVector Methods new :: MonadIO m => (ManagedPtr InputVector -> InputVector) -> [AttrOp InputVector tag] -> m InputVector Source #

newZeroInputVector :: MonadIO m => m InputVector Source #

Construct a `InputVector` struct initialized to zero.

# Methods

# Properties

## buffer

Pointer to a buffer where data will be written.

clearInputVectorBuffer :: MonadIO m => InputVector -> m () Source #

Set the value of the “`buffer`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #buffer

getInputVectorBuffer :: MonadIO m => InputVector -> m (Ptr ()) Source #

Get the value of the “`buffer`” field. When overloading is enabled, this is equivalent to

    get inputVector #buffer

setInputVectorBuffer :: MonadIO m => InputVector -> Ptr () -> m () Source #

Set the value of the “`buffer`” field. When overloading is enabled, this is equivalent to

    set inputVector [ #buffer := value ]

## size

the available size in `buffer`.

getInputVectorSize :: MonadIO m => InputVector -> m Word64 Source #

Get the value of the “`size`” field. When overloading is enabled, this is equivalent to

    get inputVector #size

setInputVectorSize :: MonadIO m => InputVector -> Word64 -> m () Source #

Set the value of the “`size`” field. When overloading is enabled, this is equivalent to

    set inputVector [ #size := value ]